Kick
List top Kick channels
List Kick's top channels by followers and live status, with a limit.
GET/v1/kick/top-channels
Headers
Get your API keyx-api-keystringheader
API key (`sfk_...`)
Parameters
1
limitintegerquery
Rows per page, 1 to 100. Default: 100.
≥ 1 · ≤ 100
Response fields
15
Endpoint-specific response payload.
data lookupStatus
string
Always `found`: an empty list is an empty result.
one of: found, not_found
Top channels.
data channels[] id
integer
Channel id.
data channels[] slug
string
Channel slug.
data channels[] username
stringnullable
Display name.
data channels[] avatarUrl
stringnullable
Avatar URL.
data channels[] followers
integernullable
Followers.
data channels[] isLive
booleannullable
Whether it is live.
data channels[] isVerified
booleannullable
Whether it is verified.
data channels[] url
stringnullable
Channel page URL.
Metadata describing the request and billing outcome.
meta requestId
string
Unique request identifier for tracing this API call.
min 1 chars
meta creditsCharged
integer
Credits charged for this request.
≥ 0
meta version
string
Public API version that served the response.
one of: v1
Code example
curl "https://api.socialfetch.dev/v1/kick/top-channels?limit=100" \
-H "x-api-key: YOUR_API_KEY"Responses
Kick top channels.